package com.goldenwater.gx.service.impl;

import java.util.List;
import org.springframework.stereotype.Service;

import jakarta.annotation.Resource;
import com.goldenwater.gx.domain.GxStWry;
import com.goldenwater.gx.mapper.GxStWryMapper;
import com.goldenwater.gx.service.IGxStWryService;

@Service("gxStWryService")
public class GxStWryServiceImpl implements IGxStWryService {

    @Resource
    private GxStWryMapper gxStWryMapper;

    @Override
    public List<GxStWry> selectWryLatestByBizCode(String bizCode) {
        return gxStWryMapper.selectWryLatestByBizCode(bizCode);
    }

    @Override
    public List<GxStWry> selectWryHistoryByBizCodeAndStnm(String bizCode, String stnm) {
        return gxStWryMapper.selectWryHistoryByBizCodeAndStnm(bizCode, stnm);
    }
}
